aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2021-02-22 03:19:38 +0100
committerGuilhem Moulin <guilhem@fripost.org>2021-02-22 03:19:38 +0100
commit903309cb8364047a2939fb6d3cb06da8ecc32726 (patch)
tree9808e69afb35c67db8008892ea5fa55164095d41
parent9a6a7824a009e1fb1f97afd227181191bc10f0a6 (diff)
tests: Check presence of extra greeting data.
-rw-r--r--tests/accountd3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/accountd b/tests/accountd
index 9acb33f..a603c16 100644
--- a/tests/accountd
+++ b/tests/accountd
@@ -67,7 +67,8 @@ rm -f ~lacme-account/.local/share/lacme/accountd.log
runuser -u lacme-account -- lacme-accountd --socket="$SOCKET" --quiet & PID=$!
# run lacme(8) multiple times using that single lacme-accountd(1) instance
-lacme --socket="$SOCKET" account 2>"$STDERR" || fail
+lacme --socket="$SOCKET" --debug account 2>"$STDERR" || fail
+grepstderr -F "Received extra greeting data from accountd:"
lacme --socket="$SOCKET" newOrder 2>"$STDERR" || fail
test /etc/lacme/simpletest.rsa.crt -nt /etc/lacme/simpletest.rsa.key